Erreur au lancement d'Android Studio

L’auteur de ce sujet a trouvé une solution à son problème.
Auteur du sujet

Hello les clémentines !

J’ai Ubuntu 18.04, avec les JDK suivants d’installés et celui actuellement utilisé : https://textuploader.com/d2vu3

J’ai renseigné la variable JAVA_HOME="/usr/lib/jvm/java-8-openjdk-amd64" dans le fichier /etc/environment puis j’ai tapé source /etc/environment

J’ai téléchargé et installé les dépendances suivantes : sudo apt-get install libc6:i386 libncurses5:i386 libstdc++6:i386 lib32z1 libbz2-1.0:i386 comme demandé dans la doc de Google : https://developer.android.com/studio/install

J’ai téléchargé Android Studio 3.1.4 for Linux 64-bit (856 MB) (archive android-studio-ide-173.4907809-linux.zip) ici : https://developer.android.com/studio/

Pour démarrer l’installation d’Android Studio, j’ai tapé les commandes suivantes :

cd android-studio/bin/ puis ./studio.sh

Erreur obtenue

En dépit de toutes ces actions, l’erreur suivante apparaît :

Error: Could not find or load main class com.intellij.idea.Main

Quelqu’un aurait-il une idée de ce que j’ai pu oublier de faire ?

Édité par anonyme

+0 -0
Auteur du sujet

Refait un téléchargement + réinstallation propre.

Fumble

Déjà fait hier, ça n’a rien changé.

Par contre faut-il que je crée le répertoire lib ? Et que je télécharge le .jar indiqué dans la réponse StackOverflow ? Si oui : j’ai notamment trouvé ce site qui liste différentes versions du .jar : http://www.java2s.com/Code/Jar/b/Downloadbootstrapjar.htm => j’sais pas trop laquelle télécharger, c’est peut-être une sans maven ou quoi, mais peut-être qu’android studio a justement besoin de maven etc. ?

+0 -0

Ça fonctionne chez moi en ayant installé les dépendances + extraction de l’archive dans ~/Documents/dev + ./studio.sh pour lancer le tout.

fumble@fumble-pc:~ $ java -version
openjdk version "1.8.0_181"
OpenJDK Runtime Environment (build 1.8.0_181-8u181-b13-0ubuntu0.16.04.1-b13)
OpenJDK 64-Bit Server VM (build 25.181-b13, mixed mode)
fumble@fumble-pc:~ $ javac -version
javac 1.8.0_181

Édité par Fumble

Fumble’s Dev Center v1.0 - Secrétaire de Zeste de Savoir - Sharleen <3 - Áfram Ísland ! - Commander Shepard true fan

+0 -0
Auteur du sujet

@Fumble merci pour ton test !

Les deux seules différences que j’ai constatées entre mon système et le tien sont les suivantes :

  1. Version différente du compilateur javac : 10.0.2

  2. Version différente de la distribution Ubuntu : 18.04.1 LTS


Voici la sortie de chaque commande que tu as tapée sur mon installation :

java -version

openjdk version "1.8.0_181" OpenJDK Runtime Environment (build 1.8.0_181–8u181-b13–0ubuntu0.18.04.1-b13) OpenJDK 64-Bit Server VM (build 25.181-b13, mixed mode)

javac -version

javac 10.0.2


Edit

Au final j’ai réussi à installer & lancer Android studio en passant par l’interface graphique d’installation d’Ubuntu (le Software Installer Center ou quoi). Mon problème restera cependant tjrs un mystère…

Édité par anonyme

+0 -0
Vous devez être connecté pour pouvoir poster un message.
Connexion

Pas encore inscrit ?

Créez un compte en une minute pour profiter pleinement de toutes les fonctionnalités de Zeste de Savoir. Ici, tout est gratuit et sans publicité.
Créer un compte